com.sun.jna.platform.unix

## Class X11.XKeyboardStateRef

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XKeyboardStateRef

All Implemented Interfaces:
  Structure.ByReference

Enclosing interface:
  X11

    public static class X11.XKeyboardStateRef
    extends Structure
    implements Structure.ByReference

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.StructField`

### Field Summary

Fields
`byte[]` `auto_repeats` Bit vector.
`int` `bell_duration` Duration of the bell specified in milliseconds, if possible.
`int` `bell_percent` Base volume for the bell between 0 (off) and 100 (loud) inclusive, if possible.
`int` `bell_pitch` Pitch (specified in Hz) of the bell, if possible.
`int` `global_auto_repeat` Global auto repeat mode: AutoRepeatModeOff or AutoRepeatModeOn.
`int` `key_click_percent` Volume for key clicks between 0 (off) and 100 (loud) inclusive, if possible.
`NativeLong` `led_mask` State of the LEDs.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`XKeyboardStateRef()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.util.List` `getFieldOrder()` Return this Structure's field names in their proper order.
`java.lang.String` `toString()` If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key_click_percent

    public int key_click_percent

Volume for key clicks between 0 (off) and 100 (loud) inclusive, if possible.

#### bell_percent

    public int bell_percent

Base volume for the bell between 0 (off) and 100 (loud) inclusive, if possible.

#### bell_pitch

    public int bell_pitch

Pitch (specified in Hz) of the bell, if possible. A setting of -1 restores the default.

#### bell_duration

    public int bell_duration

Duration of the bell specified in milliseconds, if possible. A setting of -1 restores the default.

#### led_mask

    public NativeLong led_mask

State of the LEDs. At most 32 LEDs numbered from one are supported.

#### global_auto_repeat

    public int global_auto_repeat

Global auto repeat mode: AutoRepeatModeOff or AutoRepeatModeOn.

#### auto_repeats

    public byte[] auto_repeats

Bit vector. Each bit set to 1 indicates that auto-repeat is enabled for the corresponding key. The vector is represented as 32 bytes. Byte N (from 0) contains the bits for keys 8N to 8N + 7 with the least significant bit in the byte representing key 8N.

### Constructor Detail

#### XKeyboardStateRef

    public XKeyboardStateRef()

### Method Detail

#### getFieldOrder

    protected java.util.List getFieldOrder()

Description copied from class: `Structure`
Return this Structure's field names in their proper order. For example,

     protected List getFieldOrder() {
         return Arrays.asList(new String[] { ... });
     }

IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

     protected List getFieldOrder() {
         List fields = new ArrayList(super.getFieldOrder());
         fields.addAll(Arrays.asList(new String[] { ... }));
         return fields;
     }

Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

Specified by:
  `getFieldOrder` in class `Structure`
Returns:
  ordered list of field names

#### toString

    public java.lang.String toString()

Description copied from class: `Structure`
If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

Overrides:
  `toString` in class `Structure`
Returns:
  String representation of this object.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.